> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Mark Thread as Read > Marks a single thread as read for the authenticated user and removes it from the unread thread list in the user's subscription. Use this endpoint when you need to mark one thread as read. The `subscriptions.read` endpoint operates on an entire room and cannot identify a single thread. This endpoint replaces the deprecated `readThreads` realtime method, which remains available until Rocket.Chat 9.0.0. ### Changelog | Version | Description | | ---------------- | ------------| |8.8.0 | Added | ## OpenAPI ````json POST /api/v1/chat.readThread { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Messaging" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Chat" }, { "name": "Direct Messages" }, { "name": "Auto-Translate" } ], "paths": { "/api/v1/chat.readThread": { "post": { "tags": [ "Chat" ], "summary": "Mark Thread as Read", "description": "Marks a single thread as read for the authenticated user and removes it from the unread thread list in the user's subscription.\n\nUse this endpoint when you need to mark one thread as read. The `subscriptions.read` endpoint operates on an entire room and cannot identify a single thread.\n\nThis endpoint replaces the deprecated `readThreads` realtime method, which remains available until Rocket.Chat 9.0.0.\n\n### Changelog\n| Version | Description |\n| ---------------- | ------------|\n|8.8.0 | Added |", "operationId": "post-api-v1-chat.readThread", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" } ], "requestBody": { "required": "true", "content": { "application/json": { "schema": { "type": "object", "properties": { "tmid": { "type": "string", "minLength": "1", "description": "The ID of the thread's main message." } }, "required": [ "tmid" ], "additionalProperties": "false" }, "examples": { "Example": { "value": { "tmid": "7aDSXtjMA3KPLxLjt" } } } } } }, "responses": { "200": { "$ref": "#/components/responses/trueSuccess" }, "400": { "description": "The request is invalid, threads are disabled, the message or room does not exist, or the user cannot access the room.", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Threads disabled": { "value": { "success": "false", "error": "Threads Disabled [error-not-allowed]", "errorType": "error-not-allowed" } }, "Invalid message": { "value": { "success": "false", "error": "Invalid Message [error-invalid-message]", "errorType": "error-invalid-message" } }, "Room not found": { "value": { "success": "false", "error": "This room does not exist [error-room-does-not-exist]", "errorType": "error-room-does-not-exist" } }, "Room access denied": { "value": { "success": "false", "error": "Not Allowed [error-not-allowed]", "errorType": "error-not-allowed" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } }, "responses": { "trueSuccess": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "success": "true" } } } } } }, "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````